Bug 1288320 - (CVE-2015-3194) CVE-2015-3194 OpenSSL: Certificate verify crash with missing PSS parameter
CVE-2015-3194 OpenSSL: Certificate verify crash with missing PSS parameter
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160128,reported=2...
: Security
Depends On: 1288339 1288340 1288341 1288342 1290334 1291567
Blocks: 1288329 1298491 1395463
  Show dependency treegraph
 
Reported: 2015-12-03 22:55 EST by Huzaifa S. Sidhpurwala
Modified: 2017-02-21 06:48 EST (History)
43 users (show)

See Also:
Fixed In Version: openssl 1.0.1q, openssl 1.0.2e
Doc Type: Bug Fix
Doc Text:
A NULL pointer dereference flaw was found in the way OpenSSL verified signatures using the RSA PSS algorithm. A remote attacker could possibly use this flaw to crash a TLS/SSL client using OpenSSL, or a TLS/SSL server using OpenSSL if it enabled client authentication.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2076883 None None None Never
Red Hat Product Errata RHSA-2015:2617 normal SHIPPED_LIVE Moderate: openssl security update 2015-12-14 04:47:00 EST
Red Hat Product Errata RHSA-2016:2957 normal SHIPPED_LIVE Important: Red Hat JBoss Core Services Apache HTTP 2.4.23 Release 2016-12-15 22:11:19 EST

  None (edit)
Description Huzaifa S. Sidhpurwala 2015-12-03 22:55:36 EST
The following was reported by OpenSSL upstream:

The signature verification routines will crash with a NULL pointer dereference if presented with an ASN.1 signature using the RSA PSS algorithm and absent mask generation function parameter. Since these routines are used to verifycertificate signature algorithms this can be used to crash any certificate verification operation and exploited in a DoS attack. Any application which performs certificate verification is vulnerable including OpenSSL clients and servers which enable client authentication.

This issue affects OpenSSL versions 1.0.2 and 1.0.1.

OpenSSL 1.0.2 users should upgrade to 1.0.2e
OpenSSL 1.0.1 users should upgrade to 1.0.1q

This issue was reported to OpenSSL on August 27 2015 by Loïc Jonas Etienne (Qnective AG). The fix was developed by Dr. Stephen Henson of the OpenSSL development team.
Comment 1 Huzaifa S. Sidhpurwala 2015-12-03 23:23:58 EST
External References:

https://openssl.org/news/secadv/20151203.txt
Comment 4 Fedora Update System 2015-12-06 14:18:55 EST
openssl-1.0.2e-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Tomas Hoger 2015-12-10 04:21:16 EST
Created mingw-openssl tracking bugs for this issue:

Affects: fedora-all [bug 1290334]
Comment 8 errata-xmlrpc 2015-12-13 23:47:25 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:2617 https://rhn.redhat.com/errata/RHSA-2015-2617.html
Comment 9 Fedora Update System 2015-12-14 06:51:48 EST
openssl-1.0.1k-13.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-01-06 14:52:50 EST
openssl101e-1.0.1e-5.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 errata-xmlrpc 2016-12-15 17:14:59 EST
This issue has been addressed in the following products:



Via RHSA-2016:2957 https://rhn.redhat.com/errata/RHSA-2016-2957.html

Note You need to log in before you can comment on or make changes to this bug.